Subject: bug#25525: 25.1.90; add color highlighting to css mode

From: Tom Tromey <[email-masked]>
Date: Fri, 28 Apr 2017 22:17:33 -0600

Tom> I finally was, I will look into it soon.  Thanks again.

This patch on top of my current patch was enough.  However I'm not sure
it is the best way.  It does pass the css mode tests, but I'm also not
sure that is sufficient.  Could you try it out?

Tom

diff --git a/lisp/textmodes/css-mode.el b/lisp/textmodes/css-mode.el
index 9584bd2..2c81710 100644
--- a/lisp/textmodes/css-mode.el
+++ b/lisp/textmodes/css-mode.el
@@ -1506,7 +1506,8 @@ scss-mode-syntax-table
     (modify-syntax-entry ?/ ". 124" st)
     (modify-syntax-entry ?\n ">" st)
     ;; Variable names are prefixed by $.
-    (modify-syntax-entry ?$ "'" st)
+    (modify-syntax-entry ?$ "_" st)
+    (modify-syntax-entry ?% "_" st)
     st))
 
 (defun scss-font-lock-keywords ()